# Uses of Class
org.apache.avro.ipc.HandshakeResponse

Packages that use HandshakeResponse
Package
Description
org.apache.avro.ipc
Support for inter-process calls.

## Uses of HandshakeResponse in org.apache.avro.ipc

Methods in org.apache.avro.ipc that return HandshakeResponse
Modifier and Type
Method
Description
`HandshakeResponse`
HandshakeResponse.Builder.`build()`
`static HandshakeResponse`
HandshakeResponse.`fromByteBuffer(ByteBuffer b)`
Deserializes a HandshakeResponse from a ByteBuffer.
`HandshakeResponse`
RPCContext.`getHandshakeResponse()`
Get the handshake response of this RPC.
Methods in org.apache.avro.ipc that return types with arguments of type HandshakeResponse
Modifier and Type
Method
Description
`static org.apache.avro.message.BinaryMessageDecoder<HandshakeResponse>`
HandshakeResponse.`createDecoder(org.apache.avro.message.SchemaStore resolver)`
Create a new BinaryMessageDecoder instance for this class that uses the specified `SchemaStore`.
`static org.apache.avro.message.BinaryMessageDecoder<HandshakeResponse>`
HandshakeResponse.`getDecoder()`
Return the BinaryMessageDecoder instance used by this class.
`static org.apache.avro.message.BinaryMessageEncoder<HandshakeResponse>`
HandshakeResponse.`getEncoder()`
Return the BinaryMessageEncoder instance used by this class.
Methods in org.apache.avro.ipc with parameters of type HandshakeResponse
Modifier and Type
Method
Description
`static HandshakeResponse.Builder`
HandshakeResponse.`newBuilder(HandshakeResponse other)`
Creates a new HandshakeResponse RecordBuilder by copying an existing HandshakeResponse instance.
`void`
RPCContext.`setHandshakeResponse(HandshakeResponse handshakeResponse)`
Set the handshake response of this RPC.